// Written by Sebastian Pipping <webmaster@hartwork.org>
// License: Public Domain

#include <windows.h>
#include <tchar.h>
#include <stdio.h>

int main() {
	int accum = 1;
	
	WIN32_FIND_DATA findData;
	HANDLE find = FindFirstFile(_T("gen_*.dll"), &findData);
	if (find == INVALID_HANDLE_VALUE) {
		printf("No 'gen_*.dll' files\n");
	} else {
		do {
			printf("[%i] %s\n", accum++, findData.cFileName);
		} while (FindNextFile(find, &findData));
		FindClose(find);
	}
	
	printf("Press [RETURN]\n");
	getch();

	return 0;
}
